Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] sys-devel/gcc-powerpc64 in world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
MM Trigger
n00b
n00b


Joined: 18 Oct 2006
Posts: 54
Location: Florida

PostPosted: Tue Apr 24, 2007 8:16 pm    Post subject: [SOLVED] sys-devel/gcc-powerpc64 in world Reply with quote

I see that sys-devel/gcc-powerpc64 has been removed from portage, but I am left with an entry when I attempt to run emerge:

Code:
Calculating world dependencies |
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
sys-devel/gcc-powerpc64


What should I do to correct this? Trying to unmerge the package doesn't work.


Last edited by MM Trigger on Fri Apr 27, 2007 2:22 pm; edited 1 time in total
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Wed Apr 25, 2007 2:59 am    Post subject: Reply with quote

Well, I do know the replacement package is kgcc64. What is the error you're getting when you try to unmerge it?
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
MM Trigger
n00b
n00b


Joined: 18 Oct 2006
Posts: 54
Location: Florida

PostPosted: Wed Apr 25, 2007 3:16 am    Post subject: Reply with quote

Results of unmerge attempt:

Code:
linmac_g5 root # emerge --unmerge sys-devel/gcc-powerpc64

--- Couldn't find 'sys-devel/gcc-powerpc64' to unmerge.

>>> No packages selected for removal by unmerge


I am unsure if kgcc64 is installed or not, I'll have to check when I get to work tomorrow. I do remember there being a package conflict between the two within a couple of weeks ago, but I don't remember how I resolved it.
Back to top
View user's profile Send private message
corsair
Retired Dev
Retired Dev


Joined: 06 Oct 2003
Posts: 451
Location: Aachen, Germany

PostPosted: Wed Apr 25, 2007 8:07 am    Post subject: Reply with quote

MM Trigger wrote:
Results of unmerge attempt:

Code:
linmac_g5 root # emerge --unmerge sys-devel/gcc-powerpc64

--- Couldn't find 'sys-devel/gcc-powerpc64' to unmerge.

>>> No packages selected for removal by unmerge


can you do a quick "grep powerpc64 /var/lib/portage/world", please?

MM Trigger wrote:
I am unsure if kgcc64 is installed or not, I'll have to check when I get to work tomorrow. I do remember there being a package conflict between the two within a couple of weeks ago, but I don't remember how I resolved it.


that should have been solved by "emerge --unmerge gcc-powerpc64 && emerge kgcc64".

-corsair
Back to top
View user's profile Send private message
MM Trigger
n00b
n00b


Joined: 18 Oct 2006
Posts: 54
Location: Florida

PostPosted: Thu Apr 26, 2007 1:13 pm    Post subject: Reply with quote

So much for being quick, sometimes work hands out little "technical emergencies". Anyway,

grep worldfile:
Code:
linmac_g5 root # grep powerpc64 /var/lib/portage/world
linmac_g5 root #

hmm, kgcc64 seems to be installed...
Code:
linmac_g5 root # emerge -pv kgcc64

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] sys-devel/kgcc64-4.1.1  USE="-multislot -test" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Lets try to run another emerge after syncing portage:
Code:
linmac_g5 root # emerge -aNuDv world

These are the packages that would be merged, in order:

Calculating world dependencies |
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
sys-devel/gcc-powerpc64

... done!
[ebuild     U ] dev-java/java-config-wrapper-0.13 [0.12-r1] 7 kB
[ebuild    FU ] dev-java/ibm-jdk-bin-1.5.0.4 [1.5.0.3-r1] USE="X alsa -javacomm (-nsplugin)" 69,151 kB
[ebuild  N    ] sys-apps/attr-2.4.32  USE="nls" 79 kB
[ebuild     U ] media-gfx/imagemagick-6.3.3 [6.3.0.5-r1] USE="X bzip2 jpeg jpeg2k mpeg perl png tiff truetype xml zlib -doc -fpx -graphviz -gs -jbig -lcms -nocxx -wmf" 5,502 kB
[ebuild  N    ] sys-apps/acl-2.2.39-r1  USE="nls -nfs" 120 kB
[ebuild   R   ] kde-base/kdelibs-3.5.5-r10  USE="acl* alsa arts cups jpeg2k kdehiddenvisibility kerberos spell ssl tiff xinerama -avahi -debug -doc -fam -kdeenablefinal -legacyssl -lua -openexr -utempter -zeroconf" LINGUAS="-he" 0 kB
[ebuild   R   ] net-fs/samba-3.0.24  USE="acl* cups kerberos ldap pam python readline -async -automount -caps -doc -examples -fam -oav -quotas (-selinux) -swat -syslog -winbind" LINGUAS="-ja -pl" 0 kB
[ebuild   R   ] sys-apps/coreutils-6.7-r1  USE="acl* nls (-selinux) -static -xattr" 0 kB
[ebuild   R   ] net-misc/rsync-2.6.9-r1  USE="acl* ipv6 -static -xinetd" 0 kB
[ebuild     U ] media-libs/xine-lib-1.1.4-r2 [1.1.3] USE="X a52 alsa altivec arts dvd esd flac ipv6 mad nls opengl oss samba%* sdl truetype vorbis xinerama xv -aac -aalib -debug -directfb -dts -dxr3 -fbcon -gnome -gtk -imagemagick -libcaca -mmap -mng -modplug -musepack% -pulseaudio -speex -theora -v4l -vcd -vidix -wavpack% (-win32codecs) -xcb% (-xvmc)" 6,856 kB

Total: 10 packages (4 upgrades, 2 new, 4 reinstalls), Size of downloads: 81,712 kB
Fetch Restriction: 1 package (1 unsatisfied)

Would you like to merge these packages? [Yes/No]

Hmmmm...
Back to top
View user's profile Send private message
corsair
Retired Dev
Retired Dev


Joined: 06 Oct 2003
Posts: 451
Location: Aachen, Germany

PostPosted: Thu Apr 26, 2007 1:47 pm    Post subject: Reply with quote

ok. maybe there is a package not ported to kgcc64. can you please run:

Code:

emerge -aNuDv --tree world


this will show which package want's to pull in gcc-powerpc64.

-corsair
Back to top
View user's profile Send private message
MM Trigger
n00b
n00b


Joined: 18 Oct 2006
Posts: 54
Location: Florida

PostPosted: Thu Apr 26, 2007 3:03 pm    Post subject: Reply with quote

No gcc-powerpc64 dependency from existing packages:
Code:
linmac_g5 root # emerge -aNuD --tree world

These are the packages that would be merged, in reverse order:

Calculating world dependencies |
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
sys-devel/gcc-powerpc64

... done!
[ebuild     U ] media-gfx/imagemagick-6.3.3 [6.3.0.5-r1]
[nomerge      ] app-office/openoffice-2.1.0-r1
[nomerge      ]  dev-java/xalan-2.7.0-r2
[nomerge      ]   dev-java/bsf-2.3.0-r5
[nomerge      ]    sys-apps/portage-2.1.2.2
[ebuild   R   ]     net-misc/rsync-2.6.9-r1  USE="acl*"
[nomerge      ] sys-kernel/gentoo-sources-2.6.19-r5
[nomerge      ]  sys-fs/udev-104-r12
[nomerge      ]   sys-apps/baselayout-1.12.9-r2
[ebuild   R   ]    sys-apps/coreutils-6.7-r1  USE="acl*"
[nomerge      ] kde-base/kde-meta-3.5.5
[nomerge      ]  kde-base/kdegames-meta-3.5.5
[nomerge      ]   kde-base/kbackgammon-3.5.5
[nomerge      ]    kde-base/libkdegames-3.5.5
[ebuild   R   ]     kde-base/kdelibs-3.5.5-r10  USE="acl*"
[nomerge      ] media-video/totem-2.16.4
[ebuild     U ]  media-libs/xine-lib-1.1.4-r2 [1.1.3] USE="samba%* -musepack% -wavpack% -xcb%"
[ebuild   R   ]   net-fs/samba-3.0.24  USE="acl*"
[ebuild  N    ]    sys-apps/acl-2.2.39-r1  USE="nls -nfs"
[ebuild  N    ]     sys-apps/attr-2.4.32  USE="nls"
[nomerge      ] media-sound/amarok-1.4.5-r1
[nomerge      ]  dev-lang/ruby-1.8.5_p2
[nomerge      ]   sys-libs/gdbm-1.8.3-r3
[nomerge      ]    sys-libs/db-4.3.29-r2
[nomerge      ]     virtual/jre-1.5.0
[nomerge      ]      virtual/jdk-1.5.0
[ebuild    FU ]       dev-java/ibm-jdk-bin-1.5.0.4 [1.5.0.3-r1]
[nomerge      ] virtual/jdk-1.4.2
[nomerge      ]  dev-java/ibm-jdk-bin-1.4.2.7
[nomerge      ]   dev-java/java-config-1.3.7
[ebuild     U ]    dev-java/java-config-wrapper-0.13 [0.12-r1]

Would you like to merge these packages? [Yes/No]
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Thu Apr 26, 2007 3:05 pm    Post subject: Reply with quote

Corsair:
Shouldn't the reference to gcc-powerpc64 be changed in your profile too?
ppc/ppc64/2007.0/32bit-userland/packages still references it.

MM Trigger:
Is that machine sync'd? Which profile are you using?
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
corsair
Retired Dev
Retired Dev


Joined: 06 Oct 2003
Posts: 451
Location: Aachen, Germany

PostPosted: Fri Apr 27, 2007 9:18 am    Post subject: Reply with quote

thanks JoseJX!

The 2007.0 profiles must have been created -but not commited- before I moved the profiles from gcc-powerpc64 to kgcc64. I've corrected 2007.0 profile now.

MM Trigger: Thanks for reporting this! Sync in an hour and the problem should be gone.

-corsair
Back to top
View user's profile Send private message
MM Trigger
n00b
n00b


Joined: 18 Oct 2006
Posts: 54
Location: Florida

PostPosted: Fri Apr 27, 2007 2:22 pm    Post subject: Reply with quote

JoseJX,
My current profile is ppc/ppc64/2007.0/32bit-userland/970/pmac and I just synced 10 minutes ago.

And now there is no error regarding gcc-powerpc64! Thank you both for the help!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum